/**
 * @file demo.ts
 * @notice winston-ts 기반 Logging 데모 프로그램
 * @author jhhong
 */

import * as libLog from "../dist/index"; /// from 뒤에 무조건 큰따옴표 써야 한다.
const initLog = libLog.initLog;
const Log     = libLog.Log;
const RED     = libLog.consoleRed;
const GREEN   = libLog.consoleGreen;
const BLUE    = libLog.consoleBlue;
const CYAN    = libLog.consoleCyan;
const GRAY    = libLog.consoleGray;

const confFile = "/home/hlibmaster/study/myWorks/winston-ts/.env";
/**
 * @notice 데모 메인 함수이다.
 * @dev 로그 파일 저장시 .env 수정
 * @author jhhong
 */
let RunProc = async function() {
    try {
        await initLog('demo', confFile);
        Log(`error`,  `This message is "error"`);
        Log(`warn`,   `This message is "warn"`);
        Log(`info`,   `This message is "info"`);
        Log(`http`,   `This message is "http"`);
        Log(`verbose`,`This message is "verbose"`);
        Log(`debug`,  `This message is "debug"`);
        Log(`silly`,  `This message is "silly"`);
        for(let i = 0; i < 9; i++) {
            Log(`debug`, `${RED(`${i} ${i} ${i} ${i} ${i}`)}`);
            Log(`debug`, `${GREEN(`${i} ${i} ${i} ${i} ${i}`)}`);
            Log(`debug`, `${BLUE(`${i} ${i} ${i} ${i} ${i}`)}`);
            Log(`debug`, `${CYAN(`${i} ${i} ${i} ${i} ${i}`)}`);
            Log(`debug`, `${GRAY(`${i} ${i} ${i} ${i} ${i}`)}`);
        }
    } catch(error: any) {
        console.log(error);
    }
}
RunProc();

// let printConfig = function() {
//     console.log(`### libLog Configurations.`);
//     console.log(`....LOG_ENABLE: ${}`);
// }


// LOG_LEVEL=Silly
// LOG_TIMESTAMP_FMT=YYYY-MM-DD HH:mm:ss
// LOGFILE_ENABLE=false
// LOGFILE_DIR=/home/hlibmaster/study/myWorks/winston-ts/logs
// LOGFILE_DATE_PATTERN=YYYY-MM-DD
// LOGFILE_ZIPPED=true
// LOGFILE_MAXSIZE=100m
// LOGFILE_MAXNUM=14d



